GatherContent supports the following browser versions.

The 2 latest versions of:

  • Google Chrome (recommended)
  • Microsoft Edge
  • Firefox
  • Safari
  • IE11 +

Development or BETA browser versions are not supported.

Having trouble with something in GatherContent? Check your browser is using the latest version.

Still having trouble? Drop us a message in the blue chat bubble at the bottom right of the screen, or email [email protected].

Did this answer your question?